> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablepayfi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询交易对当前汇率

> 查询交易对当前汇率

完整[认证、签名、数据约定与错误响应](https://docs.stablepayfi.ai/zh/api/stablecoin-exchange/overview)。每次重试均须重新生成时间戳、nonce 与签名。

`GET /quote/exchange_rate` 返回交易对当前中间市场价，仅用于展示。

## 请求头

**Authorization** `string` *required*

Bearer API Key。

**X-StablePay-Timestamp** `string` *required*

Unix 秒，允许与服务端相差最多 5 分钟。

**X-StablePay-Nonce** `string` *required*

每次请求唯一的随机串，16–64 字符。

**X-StablePay-Signature** `string` *required*

HMAC-SHA256 签名，小写十六进制；签名必须对应实际发送的请求体。

## 请求参数

**merchant\_id** `string`

10 位数字；商户 App 不传，服务商 App 传值指定作用商户

**source\_currency** `string` *required*

卖出币种，如 USD

**target\_currency** `string` *required*

买入币种，如 USDC

## 响应

**rate** `object` *required*

汇率对象

**rate.rate\_pair\_id** `string` *required*

汇率对 ID

**rate.source\_currency** `string` *required*

卖出币种

**rate.target\_currency** `string` *required*

买入币种

**rate.rate** `string` *required*

中间市场汇率

**as\_of** `integer` *required*

汇率快照时间

## 状态与错误

404 交易对不存在。

```bash cURL theme={"system"}
curl --request GET \
  --url "https://api.stablepay.co/api/v1/quote/exchange_rate?source_currency=<SOURCE_CURRENCY>&target_currency=<TARGET_CURRENCY>" \
  --header "Authorization: Bearer <API_KEY>" \
  --header "X-StablePay-Timestamp: <TIMESTAMP>" \
  --header "X-StablePay-Nonce: <NONCE>" \
  --header "X-StablePay-Signature: <SIGNATURE>"
```

```javascript JavaScript theme={"system"}
const response = await fetch("https://api.stablepay.co/api/v1/quote/exchange_rate?source_currency=<SOURCE_CURRENCY>&target_currency=<TARGET_CURRENCY>", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <API_KEY>",
    "X-StablePay-Timestamp": "<TIMESTAMP>",
    "X-StablePay-Nonce": "<NONCE>",
    "X-StablePay-Signature": "<SIGNATURE>"
  }
});
console.log(await response.json());
```

```json 200 theme={"system"}
{
  "rate": {
    "rate_pair_id": "usd_usdc",
    "source_currency": "USD",
    "target_currency": "USDC",
    "rate": "0.9998"
  },
  "as_of": 1718726400
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.